Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrPropertyValue

    java.lang.Object
      org.modeshape.graph.query.model.PropertyValue
          org.modeshape.jcr.query.qom.JcrPropertyValue

All Implemented Interfaces:
  Serializable, Operand, PropertyValue, DynamicOperand, LanguageObject, Visitable, JcrDynamicOperand

    public class JcrPropertyValue

extends PropertyValue
implements PropertyValue, JcrDynamicOperand

Implementation of the property value dynamic operand for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrPropertyValue(SelectorName selectorName, String propertyName)`

Method Summary
`String` | `getPropertyName()`
`String` | `getSelectorName()`

Methods inherited from class org.modeshape.graph.query.model.PropertyValue
`accept, equals, hashCode, propertyName, selectorName, selectorNames, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.DynamicOperand
`selectorNames`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrPropertyValue

    public JcrPropertyValue(SelectorName selectorName,
                            String propertyName)

Parameters:
  `selectorName` -
  `propertyName` -

Method Detail

### getPropertyName

    public String getPropertyName()

  Specified by:
    `getPropertyName` in interface `PropertyValue`
  See Also:
    `PropertyValue.getPropertyName()`

### getSelectorName

    public String getSelectorName()

  Specified by:
    `getSelectorName` in interface `PropertyValue`
  See Also:
    `PropertyValue.getSelectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.